aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMicah Lee <micah@micahflee.com>2015-06-16 11:03:03 -0700
committerMicah Lee <micah@micahflee.com>2015-06-16 11:03:03 -0700
commit2e39382126ac8f374b4cb4c8c5b251695d6f2591 (patch)
treecd9384c7d228167c32db07783035ca179f9c452c
parent3073ec8a762e474c6a9ea3b0a8ac463ada81a87b (diff)
parent03f6d85ac5b27e791e34f9d52230a343016689e4 (diff)
downloadonionshare-2e39382126ac8f374b4cb4c8c5b251695d6f2591.tar.gz
onionshare-2e39382126ac8f374b4cb4c8c5b251695d6f2591.zip
Merge branch 'freddymartinez9-master'
-rwxr-xr-xinstall/build_deb.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/install/build_deb.sh b/install/build_deb.sh
index 1def5a19..995ee009 100755
--- a/install/build_deb.sh
+++ b/install/build_deb.sh
@@ -11,7 +11,11 @@ rm -r deb_dist >/dev/null 2>&1
# build binary package
python setup.py --command-packages=stdeb.command bdist_deb
-# install it
-echo ""
-echo "To install, run:"
-echo "sudo dpkg -i deb_dist/onionshare_$VERSION-1_all.deb"
+# return install instructions if onionshare builds properly
+if [$? -eq 0] then
+ echo ""
+ echo "To install, run:"
+ echo "sudo dpkg -i deb_dist/onionshare_$VERSION-1_all.deb"
+else
+ echo "OnionShare failed to build!"
+fi